/**
 * @typedef {import('../../types/DesignToken.d.ts').TransformedToken} Token
 * @typedef {import('../../types/Config.d.ts').PlatformConfig} PlatformConfig
 * @typedef {import('../../types/Transform.d.ts').Transform} Transform
 * @typedef {import('../../types/Transform.d.ts').NameTransform} NameTransform
 */
/**
 * Applies all transforms to a property. This is a pure function,
 * it returns a new property object rather than mutating it inline.
 * @private
 * @param {Token} property
 * @param {PlatformConfig} options
 * @returns {Token} - A new property object with transforms applied.
 */
export default function transformProperty(property: Token, options: PlatformConfig): Token;
export type Token = import('../../types/DesignToken.d.ts').TransformedToken;
export type PlatformConfig = import('../../types/Config.d.ts').PlatformConfig;
export type Transform = import('../../types/Transform.d.ts').Transform;
export type NameTransform = import('../../types/Transform.d.ts').NameTransform;
